Skip to main content
`Ctrl`+`K`

# PetscClassRegLogRegister

Deprecated.

## Synopsis

    PETSC_DEPRECATED_FUNCTION(3, 20, 0, "nothing", "PetscClassRegLog is no longer used.") static inline PetscErrorCode PetscClassRegLogRegister(PetscClassRegLog a, const char *b, PetscClassId c)

## Note

Registration data for logging is now controlled by `PetscLogState`.

## See Also

Profiling, `PetscLogStateClassRegister()`

## Level

deprecated

## Location

include/petsc/private/logimpldeprecated.h

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages